POST api/v1/webhooks/club/newmmserviceparticipation
Request Information
URI Parameters
None.
Body Parameters
WHMessageBody| Name | Description | Type | Additional information |
|---|---|---|---|
| Message | string |
None. |
|
| OrganizationCode | string |
None. |
|
| TargetId | globally unique identifier |
None. |
|
| TargetsId | Collection of globally unique identifier |
None. |
|
| ExtraData | Dictionary of string [key] and string [value] |
None. |
Request Formats
application/json, text/json
Sample:
{
"message": "sample string 1",
"organizationCode": "sample string 2",
"targetId": "e3c5321b-c33f-4b5a-bb5b-0aa0e58f579b",
"targetsId": [
"333b7880-f2e5-4fff-a4c8-3755c7e1ed5c",
"af5c1b02-ea19-47b9-87a7-c5f144033e32"
],
"extraData": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
}
}
application/xml, text/xml
Sample:
<WHMessageBody xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Presentation.WebApi.Dtos.WebHooks">
<ExtraData xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</ExtraData>
<Message>sample string 1</Message>
<OrganizationCode>sample string 2</OrganizationCode>
<TargetId>e3c5321b-c33f-4b5a-bb5b-0aa0e58f579b</TargetId>
<TargetsId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>333b7880-f2e5-4fff-a4c8-3755c7e1ed5c</d2p1:guid>
<d2p1:guid>af5c1b02-ea19-47b9-87a7-c5f144033e32</d2p1:guid>
</TargetsId>
</WHMessageBody>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.